%{?nodejs_find_provides_and_requires}

Name:           nodejs-read-installed
Version:        4.0.3
Release:        5%{?dist}
Summary:        Returns a tree structure of all installed packages in a folder

Group:          System Environment/Libraries
License:        ISC
URL:            https://github.com/isaacs/read-installed
# Need to use github as tests are incomplete in npmjs tar ball
Source0:        https://github.com/npm/read-installed/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tap)
BuildRequires:  npm(debuglog)
BuildRequires:  npm(graceful-fs)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(read-package-json)
BuildRequires:  npm(readdir-scoped-modules)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(semver)
BuildRequires:  npm(slide)
BuildRequires:  npm(util-extend)

Suggests:       npm(graceful-fs) >= 4.1.2

%description
Reads all the installed packages in a folder, and returns a tree structure with
all the data.


%prep
%autosetup -p 1 -n read-installed-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/read-installed
cp -pr package.json read-installed.js %{buildroot}%{nodejs_sitelib}/read-installed
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
ln -s %{nodejs_sitelib}/graceful-fs node_modules
%tap test/*.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/read-installed


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 16 2016 Tom Hughes <tom@compton.nu> - 4.0.3-1
- Update to 4.0.3 upstream release
- Enable tests

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.4-2
- rebuild to fix upgrade path

* Sat Sep 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.4-1
- update to upstream release 0.2.4
- change License from BSD to ISC
- add ExclusiveArch logic

* Tue Jul 30 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.3-1
- new upstream release 0.2.3

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-1
- new upstream release 0.2.2

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.1-3
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.1-2
- add macro for EPEL6 dependency generation

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.1-1
- new upstream release 0.1.1

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-2
- add missing build section
- fix URL

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-1
- initial package generated by npm2rpm
